#  Copyright (C) 1999-2008
#  Smithsonian Astrophysical Observatory, Cambridge, MA, USA
#  For conditions of distribution and use, see copyright notice in "copyright"

package provide DS9 1.0

proc ::tk::mac::OpenDocument {args} {
    global ds9
    set ds9(preload) $args
}

proc ::tk::mac::PrintDocument {args} {
    global ds9
    set ds9(preprint) $args
}

proc MacOSXGetLocale {} {
    return [macosx locale]
}

proc MacOSXPrint {} {
    global ds9

    if {[macosx pm print begin [winfo width $ds9(canvas)] [winfo height $ds9(canvas)] yes]} {
	foreach f $ds9(frames) {
	    $f macosx print
	}
	colorbar macosx print
	colorbarrgb macosx print
	macosx pm print end
    }
}

proc MacOSXPrintPre {} {
    global ds9

    if {[macosx pm print begin [winfo width $ds9(canvas)] [winfo height $ds9(canvas)] no]} {
	foreach f $ds9(frames) {
	    $f macosx print
	}
	colorbar macosx print
	colorbarrgb macosx print
	macosx pm print end
    }
}

proc MacOSXPageSetup {} {
    macosx pm pagesetup
}
